Package ghidra.framework.options

# Enum Class OptionType

java.lang.Object
java.lang.Enum<OptionType>
ghidra.framework.options.OptionType

All Implemented Interfaces:
  `Serializable`, `Comparable<OptionType>`, `Constable`

public enum OptionType extends Enum<OptionType>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OptionType.ByteArrayStringAdapter`

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTION_TRIGGER`
  `BOOLEAN_TYPE`
  `BYTE_ARRAY_TYPE`
  `COLOR_TYPE`
  `CUSTOM_TYPE`
  `DATE_TYPE`
  `DOUBLE_TYPE`
  `ENUM_TYPE`
  `FILE_TYPE`
  `FLOAT_TYPE`
  `FONT_TYPE`
  `INT_TYPE`
  `KEYSTROKE_TYPE`
  `LONG_TYPE`
  `NO_TYPE`
  `STRING_TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `convertObjectToString(Object object)`
  `Object`
  `convertStringToObject(String string)`
  `static OptionType`
  `getOptionType(Object obj)`
  `Class<?>`
  `getValueClass()`
  `boolean`
  `isCompatible(Object object)`
  Return true if the give value is of the correct type for this option type.
  `static OptionType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OptionType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INT_TYPE

    public static final OptionType INT_TYPE

  - ### LONG_TYPE

    public static final OptionType LONG_TYPE

  - ### STRING_TYPE

    public static final OptionType STRING_TYPE

  - ### DOUBLE_TYPE

    public static final OptionType DOUBLE_TYPE

  - ### BOOLEAN_TYPE

    public static final OptionType BOOLEAN_TYPE

  - ### DATE_TYPE

    public static final OptionType DATE_TYPE

  - ### NO_TYPE

    public static final OptionType NO_TYPE

  - ### FLOAT_TYPE

    public static final OptionType FLOAT_TYPE

  - ### ENUM_TYPE

    public static final OptionType ENUM_TYPE

  - ### CUSTOM_TYPE

    public static final OptionType CUSTOM_TYPE

  - ### BYTE_ARRAY_TYPE

    public static final OptionType BYTE_ARRAY_TYPE

  - ### FILE_TYPE

    public static final OptionType FILE_TYPE

  - ### COLOR_TYPE

    public static final OptionType COLOR_TYPE

  - ### FONT_TYPE

    public static final OptionType FONT_TYPE

  - ### KEYSTROKE_TYPE

    public static final OptionType KEYSTROKE_TYPE

  - ### ACTION_TRIGGER

    public static final OptionType ACTION_TRIGGER

- ## Method Details

  - ### values

    public static OptionType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OptionType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### convertStringToObject

    public Object convertStringToObject(String string)

  - ### convertObjectToString

    public String convertObjectToString(Object object)

  - ### isCompatible

    public boolean isCompatible(Object object)
    Return true if the give value is of the correct type for this option type. Note that a value of null is compatible with any class type since it is an acceptable value for any class type.
    Parameters:
      `object` - the object to see if it is compatible with this option type
    Returns:
      true if the give value is of the correct type for this option type.

  - ### getValueClass

    public Class<?> getValueClass()

  - ### getOptionType

    public static OptionType getOptionType(Object obj)